Subject: Ticket Assigned - Click & Collect
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 04 Feb 2022 16:40:54 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect My product was not in the store baby shop WTC ABU DHABI when I went to collect. The staff told me that it was already collected but it wasn’t by me. I was promised a call by the manager but even after a week there is no call. There is no landline or shop number where I can reach to ask for my product. Very bad service and no care for customers time or money. I haven’t received my product or any refund https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3815176